Uptimeify Docs

DNS Monitor abrufen

Gibt einen einzelnen DNS-Monitor zurück.

GET /api/dns-monitors/:dnsMonitorPublicId

Die Response enthält nur den DNS-Monitor selbst und bettet keinen vollständigen Kunden-Datensatz ein.

Beispiel-Response

{
	"id": 1,
	"publicId": "3c741f27-7015-4202-93ea-0f97cc6bc769",
	"organizationId": 2,
	"customerId": 2,
	"customerName": "Zaskoku & Haupt GbR",
	"name": "haupt.design",
	"hostname": "haupt.design",
	"checkInterval": 30,
	"timeoutSeconds": 30,
	"dnsConfig": {
		"rrtypes": ["A"],
		"matchMode": "exact",
		"triggerOn": {
			"mismatch": true,
			"resolveError": true
		},
		"expectedValues": {
			"A": ["76.76.21.21"]
		}
	},
	"status": "active",
	"notificationPhoneNumber": null,
	"notificationEmail": null,
	"lastCheckedAt": "2026-04-03T14:55:00.005Z",
	"createdAt": "2026-02-23T20:24:54.731Z",
	"updatedAt": "2026-04-03T14:55:01.193Z"
}

Auf dieser Seite